Supercheck LogoSupercheck
Status Pages

Verify that a status page subdomain is published (POST)

Verify that a status page subdomain is published and return its ID. Public endpoint (no authentication required).

POST
/api/status-pages/check

Request Body

application/json
  1. body
subdomain*string

Response Body

Status page lookup

application/json
  1. response
id?string
Formatuuid
status?string
Example Request
curl -X POST 'https://demo.supercheck.dev/api/status-pages/check' \  -H 'Content-Type: application/json' \  -d '{  "subdomain": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "string"}